<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelConsoleCommand Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelConsoleCommand Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelConsoleCommand" --><!-- doxytag: inherits="iBase" -->
<p>A single command for the CEL console.  
 <a href="structiCelConsoleCommand.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celconsole_8h_source.html">tools/celconsole.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelConsoleCommand:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelConsoleCommand.png" usemap="#iCelConsoleCommand_map" alt=""/>
  <map id="iCelConsoleCommand_map" name="iCelConsoleCommand_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,135,24"/>
</map>
 </div></div>

<p><a href="structiCelConsoleCommand-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelConsoleCommand.html#a2abb4654d978a2d018f42fcc55683467">Execute</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsStringArray.html">csStringArray</a> &amp;args)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute this command with all the arguments in a tokenized form.  <a href="#a2abb4654d978a2d018f42fcc55683467"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelConsoleCommand.html#acb2adc7875f07a36d5b61d26555cc102">GetCommand</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the command string.  <a href="#acb2adc7875f07a36d5b61d26555cc102"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelConsoleCommand.html#a3966b3926ad476528211037ef5db009d">GetDescription</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a short description of this command.  <a href="#a3966b3926ad476528211037ef5db009d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelConsoleCommand.html#a16e985a420a153c99879032b8d51bc71">Help</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Show a long usage help on the console.  <a href="#a16e985a420a153c99879032b8d51bc71"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A single command for the CEL console. </p>
<p>Implement this if you want to add commands to the CEL console. </p>

<p>Definition at line <a class="el" href="celconsole_8h_source.html#l00035">35</a> of file <a class="el" href="celconsole_8h_source.html">celconsole.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2abb4654d978a2d018f42fcc55683467"></a><!-- doxytag: member="iCelConsoleCommand::Execute" ref="a2abb4654d978a2d018f42fcc55683467" args="(const csStringArray &amp;args)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelConsoleCommand.html#a2abb4654d978a2d018f42fcc55683467">iCelConsoleCommand::Execute</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsStringArray.html">csStringArray</a> &amp;&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Execute this command with all the arguments in a tokenized form. </p>
<p>Note that the command string itself will be at position 0 in the 'args' array. </p>

</div>
</div>
<a class="anchor" id="acb2adc7875f07a36d5b61d26555cc102"></a><!-- doxytag: member="iCelConsoleCommand::GetCommand" ref="acb2adc7875f07a36d5b61d26555cc102" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelConsoleCommand.html#acb2adc7875f07a36d5b61d26555cc102">iCelConsoleCommand::GetCommand</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the command string. </p>

</div>
</div>
<a class="anchor" id="a3966b3926ad476528211037ef5db009d"></a><!-- doxytag: member="iCelConsoleCommand::GetDescription" ref="a3966b3926ad476528211037ef5db009d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelConsoleCommand.html#a3966b3926ad476528211037ef5db009d">iCelConsoleCommand::GetDescription</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a short description of this command. </p>

</div>
</div>
<a class="anchor" id="a16e985a420a153c99879032b8d51bc71"></a><!-- doxytag: member="iCelConsoleCommand::Help" ref="a16e985a420a153c99879032b8d51bc71" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelConsoleCommand.html#a16e985a420a153c99879032b8d51bc71">iCelConsoleCommand::Help</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Show a long usage help on the console. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celconsole_8h_source.html">celconsole.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
